Module jdk.compiler
Package com.sun.source.tree

## Interface ExportsTree

- All Superinterfaces:
    `DirectiveTree`, `Tree`

      public interface ExportsTree
      extends DirectiveTree

  A tree node for an 'exports' directive in a module declaration. For example:

          exports package-name;
          exports package-name to module-name;

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends ExpressionTree>` | `getModuleNames​()` | Returns the names of the modules to which the package is exported, or null, if the package is exported to all modules.
    `ExpressionTree` | `getPackageName​()` | Returns the name of the package to be exported.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getPackageName

          ExpressionTree getPackageName​()

      Returns the name of the package to be exported.
      Returns:
        the name of the package to be exported

    - #### getModuleNames

          List<? extends ExpressionTree> getModuleNames​()

      Returns the names of the modules to which the package is exported, or null, if the package is exported to all modules.
      Returns:
        the names of the modules to which the package is exported, or null